Subject: Problem while installing Cygwin
From: David Starks-Browning <[email-masked]>
To: "Anitha Ramesh" <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Jun 2001 13:20:46 +0100

On Friday 29 Jun 01, Anitha Ramesh writes:
> Hello,
> 
>    I need to download PRC-Tools. This is the first time I am using it. I 
> followed the instructions given
> in http://www.palmos.com/dev/tech/tools/gcc/install-win.html.
> The documentation says for windows it is better to use a combination of this
> 
> (cygwin b20.1, PRC-Tools 2.0, PilRc for Win32, Palm OS SDK, Palm OS 
> Emulator) as it is been tested.

Yikes, so they do.  It would be a great project for someone to take on
to rewrite Palm, Inc.'s instructions for installing PRC-Tools.  This
is probably best co-ordinated through the gcc newgroup at massena.com
(if that still exists).  Maybe a Palm-gcc programmer there has already
done it.  (As opposed to me, for whom palm programming is still just a
fantasy...)  You don't mention whether you've been there.

> First i tried finding cygwin b20.1 since i could not get it, i installed the 
> latest ver. 1.3.2. while installing it is asking to select the package 
> required. But no pacakge is been provided. After installation is it saying " 
> No installation is needed" and the folders under c:\cygwin\lib, bin and few 
> folders are empty.

If you're just talking about Cygwin setup (and not PRC-Tools from
Palm.com) then this sounds like a botched setup.  Try again, and if
setup is not listing packages to install, the easiest thing to do is
to delete all Cygwin directories (installation and download) and try
again.  (You can be more sophisticated by only deleting files that
setup uses, but why bother, unless you're on a slow connection and
can't afford to re-download everything.)  If you're going to pick and
choose which packages to install to support PRC-Tools, you're not
going to get much support from us.  Our advice is to install
everything.  (B20.1 was a monolithic "full" install, comparable to
installing all packages with setup.)

> Please can u suggest something on this. We need to deliver a project in a 
> short span of time.

Hmm, well now, whose problem is that?!?

Regards,
David
(Cygwin FAQ maintainer, palm programmer wannabee)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/